Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 977)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 978)
@@ -4,4 +4,7 @@
 ! Current revisions:
 ! -----------------
+! outflow damping layer removed
+! kmxm_x/_z and kmxp_x/_z change to kmxm and kmxp
+! kmym_y/_z and kmyp_y/_z change to kmym and kmyp
 !
 ! Former revisions:
@@ -54,6 +57,5 @@
 ! Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_w( ddzu, ddzw, km, km_damp_x, km_damp_y, tend, u, v, &
-                            w )
+    SUBROUTINE diffusion_w( ddzu, ddzw, km, tend, u, v, w )
 
        USE control_parameters
@@ -64,8 +66,6 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  kmxm_x, kmxm_z, kmxp_x, kmxp_z, kmym_y, kmym_z, kmyp_y, &
-                   kmyp_z
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1), km_damp_x(nxlg:nxrg),        & 
-                   km_damp_y(nysg:nyng)
+       REAL    ::  kmxm, kmxp, kmym, kmyp
+       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
        REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
        REAL, DIMENSION(:,:,:), POINTER ::  km, u, v, w
@@ -88,40 +88,23 @@
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
-                kmxp_x = 0.25 * &
-                         ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-                kmxm_x = 0.25 * &
-                         ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-                kmxp_z = kmxp_x
-                kmxm_z = kmxm_x
-                kmyp_y = 0.25 * &
-                         ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-                kmym_y = 0.25 * &
-                         ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-                kmyp_z = kmyp_y
-                kmym_z = kmym_y
-!
-!--             Increase diffusion at the outflow boundary in case of
-!--             non-cyclic lateral boundaries. Damping is only needed for
-!--             velocity components parallel to the outflow boundary in
-!--             the direction normal to the outflow boundary.
-                IF ( .NOT. bc_lr_cyc )  THEN
-                   kmxp_x = MAX( kmxp_x, km_damp_x(i) )
-                   kmxm_x = MAX( kmxm_x, km_damp_x(i) )
-                ENDIF
-                IF ( .NOT. bc_ns_cyc )  THEN
-                   kmyp_y = MAX( kmyp_y, km_damp_y(j) )
-                   kmym_y = MAX( kmym_y, km_damp_y(j) )
-                ENDIF
+                kmxp = 0.25 * &
+                       ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
+                kmxm = 0.25 * &
+                       ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
+                kmyp = 0.25 * &
+                       ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
+                kmym = 0.25 * &
+                       ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
 
                 tend(k,j,i) = tend(k,j,i)                                      &
-                      & + ( kmxp_x * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx       &
-                      &   + kmxp_z * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1) &
-                      &   - kmxm_x * ( w(k,j,i)   - w(k,j,i-1) ) * ddx         &
-                      &   - kmxm_z * ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)   &
+                      & + ( kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx         &
+                      &   + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)   &
+                      &   - kmxm * ( w(k,j,i)   - w(k,j,i-1) ) * ddx           &
+                      &   - kmxm * ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)     &
                       &   ) * ddx                                              &
-                      & + ( kmyp_y * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy       &
-                      &   + kmyp_z * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1) &
-                      &   - kmym_y * ( w(k,j,i)   - w(k,j-1,i) ) * ddy         &
-                      &   - kmym_z * ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)   &
+                      & + ( kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy         &
+                      &   + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)   &
+                      &   - kmym * ( w(k,j,i)   - w(k,j-1,i) ) * ddy           &
+                      &   - kmym * ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)     &
                       &   ) * ddy                                              &
                       & + 2.0 * (                                              &
@@ -138,48 +121,31 @@
 !
 !--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmxp_x = 0.25 * &
-                            ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-                   kmxm_x = 0.25 * &
-                            ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-                   kmxp_z = kmxp_x
-                   kmxm_z = kmxm_x
-                   kmyp_y = 0.25 * &
-                            ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-                   kmym_y = 0.25 * &
-                            ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-                   kmyp_z = kmyp_y
-                   kmym_z = kmym_y
-!
-!--                Increase diffusion at the outflow boundary in case of
-!--                non-cyclic lateral boundaries. Damping is only needed for
-!--                velocity components parallel to the outflow boundary in
-!--                the direction normal to the outflow boundary.
-                   IF ( .NOT. bc_lr_cyc )  THEN
-                      kmxp_x = MAX( kmxp_x, km_damp_x(i) )
-                      kmxm_x = MAX( kmxm_x, km_damp_x(i) )
-                   ENDIF
-                   IF ( .NOT. bc_ns_cyc )  THEN
-                      kmyp_y = MAX( kmyp_y, km_damp_y(j) )
-                      kmym_y = MAX( kmym_y, km_damp_y(j) )
-                   ENDIF
+                   kmxp = 0.25 * &
+                          ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
+                   kmxm = 0.25 * &
+                          ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
+                   kmyp = 0.25 * &
+                          ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
+                   kmym = 0.25 * &
+                          ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
 
                    tend(k,j,i) = tend(k,j,i)                                   &
                                  + (   fwxp(j,i) * (                           &
-                            kmxp_x * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx       &
-                          + kmxp_z * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1) &
+                            kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx         &
+                          + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)   &
                                                    )                           &
                                      - fwxm(j,i) * (                           &
-                            kmxm_x * ( w(k,j,i)     - w(k,j,i-1) ) * ddx       &
-                          + kmxm_z * ( u(k+1,j,i)   - u(k,j,i)   ) * ddzu(k+1) &
+                            kmxm * ( w(k,j,i)     - w(k,j,i-1) ) * ddx         &
+                          + kmxm * ( u(k+1,j,i)   - u(k,j,i)   ) * ddzu(k+1)   &
                                                    )                           &
                                      + wall_w_x(j,i) * wsus(k,j,i)             &
                                    ) * ddx                                     &
                                  + (   fwyp(j,i) * (                           &
-                            kmyp_y * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy       &
-                          + kmyp_z * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1) &
+                            kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy         &
+                          + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)   &
                                                    )                           &
                                      - fwym(j,i) * (                           &
-                            kmym_y * ( w(k,j,i)     - w(k,j-1,i) ) * ddy       &
-                          + kmym_z * ( v(k+1,j,i)   - v(k,j,i)   ) * ddzu(k+1) &
+                            kmym * ( w(k,j,i)     - w(k,j-1,i) ) * ddy         &
+                          + kmym * ( v(k+1,j,i)   - v(k,j,i)   ) * ddzu(k+1)   &
                                                    )                           &
                                      + wall_w_y(j,i) * wsvs(k,j,i)             &
@@ -201,6 +167,5 @@
 ! Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_w_ij( i, j, ddzu, ddzw, km, km_damp_x, km_damp_y, &
-                               tend, u, v, w )
+    SUBROUTINE diffusion_w_ij( i, j, ddzu, ddzw, km, tend, u, v, w )
 
        USE control_parameters
@@ -211,8 +176,6 @@
 
        INTEGER ::  i, j, k
-       REAL    ::  kmxm_x, kmxm_z, kmxp_x, kmxp_z, kmym_y, kmym_z, kmyp_y, &
-                   kmyp_z
-       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1), km_damp_x(nxlg:nxrg),        & 
-                   km_damp_y(nysg:nyng)
+       REAL    ::  kmxm, kmxp, kmym, kmyp
+       REAL    ::  ddzu(1:nzt+1), ddzw(1:nzt+1)
        REAL    ::  tend(nzb:nzt+1,nysg:nyng,nxlg:nxrg)
        REAL, DIMENSION(nzb:nzt+1)      ::  wsus, wsvs
@@ -223,36 +186,19 @@
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
-          kmxp_x = 0.25 * ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-          kmxm_x = 0.25 * ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-          kmxp_z = kmxp_x
-          kmxm_z = kmxm_x
-          kmyp_y = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-          kmym_y = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-          kmyp_z = kmyp_y
-          kmym_z = kmym_y
-!
-!--       Increase diffusion at the outflow boundary in case of non-cyclic
-!--       lateral boundaries. Damping is only needed for velocity components
-!--       parallel to the outflow boundary in the direction normal to the
-!--       outflow boundary.
-          IF ( .NOT. bc_lr_cyc )  THEN
-             kmxp_x = MAX( kmxp_x, km_damp_x(i) )
-             kmxm_x = MAX( kmxm_x, km_damp_x(i) )
-          ENDIF
-          IF ( .NOT. bc_ns_cyc )  THEN
-             kmyp_y = MAX( kmyp_y, km_damp_y(j) )
-             kmym_y = MAX( kmym_y, km_damp_y(j) )
-          ENDIF
+          kmxp = 0.25 * ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
+          kmxm = 0.25 * ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
+          kmyp = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
+          kmym = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
 
           tend(k,j,i) = tend(k,j,i)                                            &
-                      & + ( kmxp_x * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx       &
-                      &   + kmxp_z * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1) &
-                      &   - kmxm_x * ( w(k,j,i)   - w(k,j,i-1) ) * ddx         &
-                      &   - kmxm_z * ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)   &
+                      & + ( kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx         &
+                      &   + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)   &
+                      &   - kmxm * ( w(k,j,i)   - w(k,j,i-1) ) * ddx           &
+                      &   - kmxm * ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)     &
                       &   ) * ddx                                              &
-                      & + ( kmyp_y * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy       &
-                      &   + kmyp_z * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1) &
-                      &   - kmym_y * ( w(k,j,i)   - w(k,j-1,i) ) * ddy         &
-                      &   - kmym_z * ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)   &
+                      & + ( kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy         &
+                      &   + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)   &
+                      &   - kmym * ( w(k,j,i)   - w(k,j-1,i) ) * ddy           &
+                      &   - kmym * ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)     &
                       &   ) * ddy                                              &
                       & + 2.0 * (                                              &
@@ -285,44 +231,27 @@
 !
 !--          Interpolate eddy diffusivities on staggered gridpoints
-             kmxp_x = 0.25 * ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-             kmxm_x = 0.25 * ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-             kmxp_z = kmxp_x
-             kmxm_z = kmxm_x
-             kmyp_y = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-             kmym_y = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-             kmyp_z = kmyp_y
-             kmym_z = kmym_y
-!
-!--          Increase diffusion at the outflow boundary in case of
-!--          non-cyclic lateral boundaries. Damping is only needed for
-!--          velocity components parallel to the outflow boundary in
-!--          the direction normal to the outflow boundary.
-             IF ( .NOT. bc_lr_cyc )  THEN
-                kmxp_x = MAX( kmxp_x, km_damp_x(i) )
-                kmxm_x = MAX( kmxm_x, km_damp_x(i) )
-             ENDIF
-             IF ( .NOT. bc_ns_cyc )  THEN
-                kmyp_y = MAX( kmyp_y, km_damp_y(j) )
-                kmym_y = MAX( kmym_y, km_damp_y(j) )
-             ENDIF
+             kmxp = 0.25 * ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
+             kmxm = 0.25 * ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
+             kmyp = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
+             kmym = 0.25 * ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
 
              tend(k,j,i) = tend(k,j,i)                                         &
                                  + (   fwxp(j,i) * (                           &
-                            kmxp_x * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx       &
-                          + kmxp_z * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1) &
+                            kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx         &
+                          + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)   &
                                                    )                           &
                                      - fwxm(j,i) * (                           &
-                            kmxm_x * ( w(k,j,i)     - w(k,j,i-1) ) * ddx       &
-                          + kmxm_z * ( u(k+1,j,i)   - u(k,j,i)   ) * ddzu(k+1) &
+                            kmxm * ( w(k,j,i)     - w(k,j,i-1) ) * ddx         &
+                          + kmxm * ( u(k+1,j,i)   - u(k,j,i)   ) * ddzu(k+1)   &
                                                    )                           &
                                      + wall_w_x(j,i) * wsus(k)                 &
                                    ) * ddx                                     &
                                  + (   fwyp(j,i) * (                           &
-                            kmyp_y * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy       &
-                          + kmyp_z * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1) &
+                            kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy         &
+                          + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)   &
                                                    )                           &
                                      - fwym(j,i) * (                           &
-                            kmym_y * ( w(k,j,i)     - w(k,j-1,i) ) * ddy       &
-                          + kmym_z * ( v(k+1,j,i)   - v(k,j,i)   ) * ddzu(k+1) &
+                            kmym * ( w(k,j,i)     - w(k,j-1,i) ) * ddy         &
+                          + kmym * ( v(k+1,j,i)   - v(k,j,i)   ) * ddzu(k+1)   &
                                                    )                           &
                                      + wall_w_y(j,i) * wsvs(k)                 &
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 977)
+++ /palm/trunk/SOURCE/header.f90	(revision 978)
@@ -4,5 +4,7 @@
 ! Current revisions:
 ! -----------------
-!
+! -km_damp_max, outflow_damping_width
+! +pt_damping_factor, pt_damping_width
+! +z0h
 !
 ! Former revisions:
@@ -704,5 +706,6 @@
 
     IF ( prandtl_layer )  THEN
-       WRITE ( io, 305 )  (zu(1)-zu(0)), roughness_length, kappa, &
+       WRITE ( io, 305 )  (zu(1)-zu(0)), roughness_length, &
+                          z0h_factor*roughness_length, kappa, &
                           rif_min, rif_max
        IF ( .NOT. constant_heatflux )  WRITE ( io, 308 )
@@ -721,5 +724,5 @@
     WRITE ( io, 317 )  bc_lr, bc_ns
     IF ( .NOT. bc_lr_cyc  .OR.  .NOT. bc_ns_cyc )  THEN
-       WRITE ( io, 318 )  outflow_damping_width, km_damp_max
+       WRITE ( io, 318 )  pt_damping_width, pt_damping_factor       
        IF ( turbulent_inflow )  THEN
           WRITE ( io, 319 )  recycling_width, recycling_plane, &
@@ -1779,5 +1782,6 @@
 305 FORMAT (//'    Prandtl-Layer between bottom surface and first ', &
                'computational u,v-level:'// &
-             '       zp = ',F6.2,' m   z0 = ',F6.4,' m   kappa = ',F4.2/ &
+             '       zp = ',F6.2,' m   z0 = ',F6.4,' m   z0h = ',F7.5,&
+             ' m   kappa = ',F4.2/ &
              '       Rif value range:   ',F6.2,' <= rif <=',F6.2)
 306 FORMAT ('       Predefined constant heatflux:   ',F9.6,' K m/s')
@@ -1797,6 +1801,6 @@
             '       left/right:  ',A/    &
             '       north/south: ',A)
-318 FORMAT (/'       outflow damping layer width: ',I3,' gridpoints with km_', &
-                    'max =',F5.1,' m**2/s')
+318 FORMAT (/'       pt damping layer width = ',F7.2,' m, pt ', &
+                    'damping factor = ',F6.4)
 319 FORMAT ('       turbulence recycling at inflow switched on'/ &
             '       width of recycling domain: ',F7.1,' m   grid index: ',I4/ &
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 977)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 978)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! roughness length for scalar quantities z0h1d added
 !
 ! Former revisions:
@@ -149,4 +149,5 @@
     vsws1d = 0.0; vsws1d_m = 0.0
     z01d = roughness_length
+    z0h1d = z0h_factor * z01d 
     IF ( humidity .OR. passive_scalar )  qs1d = 0.0
 
@@ -445,6 +446,6 @@
 !--                Stable stratification
                    ts1d = kappa * ( pt_init(nzb+1) - pt_init(nzb) ) /      &
-                          ( LOG( zu(nzb+1) / z01d ) + 5.0 * rif1d(nzb+1) * &
-                                          ( zu(nzb+1) - z01d ) / zu(nzb+1) &
+                          ( LOG( zu(nzb+1) / z0h1d ) + 5.0 * rif1d(nzb+1) * &
+                                          ( zu(nzb+1) - z0h1d ) / zu(nzb+1) &
                           )
                 ELSE
@@ -452,5 +453,5 @@
 !--                Unstable stratification
                    a = SQRT( 1.0 - 16.0 * rif1d(nzb+1) )
-                   b = SQRT( 1.0 - 16.0 * rif1d(nzb+1) / zu(nzb+1) * z01d )
+                   b = SQRT( 1.0 - 16.0 * rif1d(nzb+1) / zu(nzb+1) * z0h1d )
 !
 !--                In the borderline case the formula for stable stratification 
@@ -459,6 +460,6 @@
                    IF ( a == 0.0  .OR.  b == 0.0 )  THEN
                       ts1d = kappa * ( pt_init(nzb+1) - pt_init(nzb) ) /      &
-                             ( LOG( zu(nzb+1) / z01d ) + 5.0 * rif1d(nzb+1) * &
-                                             ( zu(nzb+1) - z01d ) / zu(nzb+1) &
+                             ( LOG( zu(nzb+1) / z0h1d ) + 5.0 * rif1d(nzb+1) * &
+                                             ( zu(nzb+1) - z0h1d ) / zu(nzb+1) &
                              )
                    ELSE
@@ -578,6 +579,6 @@
 !--                Stable stratification
                    qs1d = kappa * ( q_init(nzb+1) - q_init(nzb) ) /        &
-                          ( LOG( zu(nzb+1) / z01d ) + 5.0 * rif1d(nzb+1) * &
-                                          ( zu(nzb+1) - z01d ) / zu(nzb+1) &
+                          ( LOG( zu(nzb+1) / z0h1d ) + 5.0 * rif1d(nzb+1) * &
+                                          ( zu(nzb+1) - z0h1d ) / zu(nzb+1) &
                           )
                 ELSE
@@ -585,5 +586,5 @@
 !--                Unstable stratification
                    a = SQRT( 1.0 - 16.0 * rif1d(nzb+1) )
-                   b = SQRT( 1.0 - 16.0 * rif1d(nzb+1) / zu(nzb+1) * z01d )
+                   b = SQRT( 1.0 - 16.0 * rif1d(nzb+1) / zu(nzb+1) * z0h1d )
 !
 !--                In the borderline case the formula for stable stratification 
@@ -592,6 +593,6 @@
                    IF ( a == 1.0  .OR.  b == 1.0 )  THEN
                       qs1d = kappa * ( q_init(nzb+1) - q_init(nzb) ) /        &
-                             ( LOG( zu(nzb+1) / z01d ) + 5.0 * rif1d(nzb+1) * &
-                                             ( zu(nzb+1) - z01d ) / zu(nzb+1) &
+                             ( LOG( zu(nzb+1) / z0h1d ) + 5.0 * rif1d(nzb+1) * &
+                                             ( zu(nzb+1) - z0h1d ) / zu(nzb+1) &
                              )
                    ELSE
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 977)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 978)
@@ -7,5 +7,10 @@
 ! Current revisions:
 ! ------------------
-! 
+! outflow damping layer removed
+! roughness length for scalar quantites z0h added
+! damping zone for the potential temperatur in case of non-cyclic lateral
+! boundaries added
+! initialization of ptdf_x, ptdf_y
+! initialization of c_u_m, c_u_m_l, c_v_m, c_v_m_l, c_w_m, c_w_m_l
 !
 ! Former revisions:
@@ -164,4 +169,5 @@
     USE control_parameters
     USE cpulog
+    USE grid_variables
     USE indices
     USE interfaces
@@ -211,5 +217,5 @@
               sums_wsts_bc_l(nzb:nzt+1,0:statistic_regions),                &
               ts_value(dots_max,0:statistic_regions) )
-    ALLOCATE( km_damp_x(nxlg:nxrg), km_damp_y(nysg:nyng) )
+    ALLOCATE( ptdf_x(nxlg:nxrg), ptdf_y(nysg:nyng) )
 
     ALLOCATE( rif_1(nysg:nyng,nxlg:nxrg), shf_1(nysg:nyng,nxlg:nxrg), &
@@ -218,5 +224,6 @@
               uswst_1(nysg:nyng,nxlg:nxrg),                               &
               vsws_1(nysg:nyng,nxlg:nxrg),                                &
-              vswst_1(nysg:nyng,nxlg:nxrg), z0(nysg:nyng,nxlg:nxrg) )
+              vswst_1(nysg:nyng,nxlg:nxrg), z0(nysg:nyng,nxlg:nxrg),      &
+              z0h(nysg:nyng,nxlg:nxrg) )
 
     IF ( timestep_scheme(1:5) /= 'runge' )  THEN
@@ -413,4 +420,9 @@
                  c_w(nzb:nzt+1,nxlg:nxrg) )
     ENDIF
+    IF ( outflow_l  .OR.  outflow_r .OR. outflow_s .OR. outflow_n )  THEN
+       ALLOCATE( c_u_m_l(nzb:nzt+1), c_v_m_l(nzb:nzt+1), c_w_m_l(nzb:nzt+1) )                   
+       ALLOCATE( c_u_m(nzb:nzt+1), c_v_m(nzb:nzt+1), c_w_m(nzb:nzt+1) )
+    ENDIF
+
 
 !
@@ -847,4 +859,5 @@
 
           z0 = roughness_length
+          z0h = z0h_factor * z0
 
           IF ( .NOT. constant_heatflux )  THEN 
@@ -1533,61 +1546,41 @@
 
 !
-!-- Initialize diffusivities used within the outflow damping layer in case of
-!-- non-cyclic lateral boundaries. A linear increase is assumed over the first
-!-- half of the width of the damping layer
-    IF ( bc_lr_dirrad )  THEN
-
-       DO  i = nxlg, nxrg
-          IF ( i >= nx - outflow_damping_width )  THEN
-             km_damp_x(i) = km_damp_max * MIN( 1.0,                    &
-                            ( i - ( nx - outflow_damping_width ) ) /   &
-                            REAL( outflow_damping_width/2 )            &
-                                             )
-          ELSE
-             km_damp_x(i) = 0.0
+!-- Initialize damping zone for the potential temperature in case of
+!-- non-cyclic lateral boundaries. The damping zone has the maximum value 
+!-- at the inflow boundary and decreases to zero at pt_damping_width.
+    ptdf_x = 0.0
+    ptdf_y = 0.0
+    IF ( bc_lr_dirrad .OR. bc_lr_dirneu )  THEN
+       DO i = nxl, nxr
+          IF ( ( i * dx ) < pt_damping_width )  THEN
+             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5 *        &
+                         REAL( pt_damping_width - i * dx ) / (        &
+                         REAL( pt_damping_width )            ) ) )**2 
           ENDIF
        ENDDO
-
-    ELSEIF ( bc_lr_raddir )  THEN
-
-       DO  i = nxlg, nxrg
-          IF ( i <= outflow_damping_width )  THEN
-             km_damp_x(i) = km_damp_max * MIN( 1.0,                    &
-                            ( outflow_damping_width - i ) /            &
-                            REAL( outflow_damping_width/2 )            &
-                                             )
-          ELSE
-             km_damp_x(i) = 0.0
+    ELSEIF ( bc_lr_raddir .OR. bc_lr_neudir )  THEN
+       DO i = nxl, nxr
+          IF ( ( i * dx ) > ( nx * dx - pt_damping_width ) )  THEN
+             ptdf_x(i) = pt_damping_factor * ( SIN( pi * 0.5 *                 &
+                         REAL( ( i - nx ) * dx + pt_damping_width ) / (        &
+                         REAL( pt_damping_width )                     ) ) )**2       
+          ENDIF
+       ENDDO 
+    ELSEIF ( bc_ns_dirrad .OR. bc_ns_dirneu )  THEN
+       DO j = nys, nyn
+          IF ( ( j * dy ) > ( ny * dy - pt_damping_width ) )  THEN
+             ptdf_y(j) = pt_damping_factor * ( SIN( pi * 0.5 *                 &
+                         REAL( ( j - ny ) * dy + pt_damping_width ) / (        &
+                         REAL( pt_damping_width )                     ) ) )**2       
+          ENDIF
+       ENDDO 
+    ELSEIF ( bc_ns_raddir .OR. bc_ns_neudir )  THEN
+       DO j = nys, nyn
+          IF ( ( j * dy ) < pt_damping_width )  THEN
+             ptdf_y(j) = pt_damping_factor * ( SIN( pi * 0.5 *        &
+                         REAL( pt_damping_width - j * dy ) / (        &
+                         REAL( pt_damping_width )            ) ) )**2       
           ENDIF
        ENDDO
-
-    ENDIF
-
-    IF ( bc_ns_dirrad )  THEN
-
-       DO  j = nysg, nyng
-          IF ( j >= ny - outflow_damping_width )  THEN
-             km_damp_y(j) = km_damp_max * MIN( 1.0,                    &
-                            ( j - ( ny - outflow_damping_width ) ) /   &
-                            REAL( outflow_damping_width/2 )            &
-                                             )
-          ELSE
-             km_damp_y(j) = 0.0
-          ENDIF
-       ENDDO
-
-    ELSEIF ( bc_ns_raddir )  THEN
-
-       DO  j = nysg, nyng
-          IF ( j <= outflow_damping_width )  THEN
-             km_damp_y(j) = km_damp_max * MIN( 1.0,                    &
-                            ( outflow_damping_width - j ) /            &
-                            REAL( outflow_damping_width/2 )            &
-                                             )
-          ELSE
-             km_damp_y(j) = 0.0
-          ENDIF
-       ENDDO
-
     ENDIF
 
